package com.goldenwater.slaj.hazard.service;

import java.util.List;
import com.goldenwater.slaj.hazard.domain.TBusiInspectTask;

/**
 * 巡查任务 服务层
 */
public interface ITBusiInspectTaskService {

    TBusiInspectTask selectTBusiInspectTaskByGuid(String guid);

    List<TBusiInspectTask> selectTBusiInspectTaskList(TBusiInspectTask tBusiInspectTask);

    int insertTBusiInspectTask(TBusiInspectTask tBusiInspectTask);

    int updateTBusiInspectTask(TBusiInspectTask tBusiInspectTask);

    int deleteTBusiInspectTaskByGuid(String guid);

    int deleteTBusiInspectTaskByGuids(String[] guids);
}
